StreamName (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc.impl

## Class StreamName

- java.lang.Object
- - org.apache.orc.impl.StreamName

- All Implemented Interfaces:
    Comparable<StreamName>

      public class StreamName
      extends Object
      implements Comparable<StreamName>

  The name of a stream within a stripe. Sorted by area, encryption, column, and then kind.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StreamName.Area`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamName(int column, OrcProto.Stream.Kind kind)`
    `StreamName(int column, OrcProto.Stream.Kind kind, EncryptionVariant encryption)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(@NotNull StreamName streamName)`
    `boolean` | `equals(Object obj)`
    `StreamName.Area` | `getArea()`
    `static StreamName.Area` | `getArea(OrcProto.Stream.Kind kind)`
    `int` | `getColumn()`
    `EncryptionVariant` | `getEncryption()` Get the encryption information for this stream.
    `OrcProto.Stream.Kind` | `getKind()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamName

          public StreamName(int column,
                            OrcProto.Stream.Kind kind)

    - #### StreamName

          public StreamName(int column,
                            OrcProto.Stream.Kind kind,
                            EncryptionVariant encryption)

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### compareTo

          public int compareTo(@NotNull
                               @NotNull StreamName streamName)

      Specified by:
        `compareTo` in interface `Comparable<StreamName>`

    - #### getColumn

          public int getColumn()

    - #### getKind

          public OrcProto.Stream.Kind getKind()

    - #### getArea

          public StreamName.Area getArea()

    - #### getArea

          public static StreamName.Area getArea(OrcProto.Stream.Kind kind)

    - #### getEncryption

          public EncryptionVariant getEncryption()

      Get the encryption information for this stream.
      Returns:
        the encryption information or null if it isn't encrypted

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.